This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 446084 - eclipse crash when mouse chages windows
eclipse crash when mouse chages windows
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Andrew Overholt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-12 13:11 EDT by Robert Story
Modified: 2009-07-14 12:07 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:07:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
/usr/lib/eclipse/eclipse.ini (168 bytes, text/plain)
2008-05-12 14:45 EDT, Robert Story
no flags Details

  None (edit)
Description Robert Story 2008-05-12 13:11:44 EDT
Description of problem:
after starting eclipse, moving the mouse to cross the window border (ie if it is
in the eclipse window at startup, move it out, and vice versa) crashes eclipse.
Actually, just before submitting this, I discovered that this only happens on
the 'welcome' screen.. if eclipse starts up in some other mode, everything is
fine until switching to the welcome screen via the help menu. then, ka-boom.

Version-Release number of selected component (if applicable):
eclipse-platform-3.3.2-11.fc9.i386

How reproducible:
every time

Steps to Reproduce:
1.start eclipse
2.move mouse across window edge
3.
  
Actual results:
crash

Expected results:
no crash

Additional info:
After creating ~/.mozilla/eclipse (see bz#431963), I deleted ~/.eclipse and my
workspace to start from scratch.

$ eclipse
CompilerOracle: exclude
org/eclipse/core/internal/dtree/DataTreeNode.forwardDeltaWith
Aborted (core dumped)

$ file core.25651
core.25651: ELF 32-bit LSB core file Intel 80386, version 1 (SYSV), SVR4-style,
from '/usr/lib/eclipse/eclipse --launcher.library
/usr/lib/eclipse/plugins/org.eclip'

$ gdb /usr/lib/eclipse/eclipse core.25651
...
Core was generated by `/usr/lib/eclipse/eclipse --launcher.library
/usr/lib/eclipse/plugins/org.eclips'.
Program terminated with signal 6, Aborted.
#0  0x00110416 in __kernel_vsyscall ()
Missing separate debuginfos, use: debuginfo-install eclipse.i386
(gdb) bt
#0  0x00110416 in __kernel_vsyscall ()
#1  0x0077d660 in raise (sig=<value optimized out>) at
../nptl/sysdeps/unix/sysv/linux/raise.c:64
#2  0x0077f028 in abort () at abort.c:88
#3  0x007c0813 in malloc_printerr (action=<value optimized out>, str=<value
optimized out>, ptr=<value optimized out>) at malloc.c:5954
#4  0x007c27e5 in __libc_free (mem=<value optimized out>) at malloc.c:3589
#5  0x06240069 in jni_ReleaseBooleanArrayElements () from
/usr/java/jdk1.6.0_06/bin/../jre/lib/i386/client/libjvm.so
#6  0x0064bd0b in Java_org_eclipse_swt_internal_mozilla_XPCOM_VtblCall__II_3Z ()
from
/usr/lib/eclipse/configuration/org.eclipse.osgi/bundles/142/1/.cp/libswt-mozilla-gtk-3349.so
#7  0x00ddbecd in ?? ()
#8  0x09730cf4 in ?? ()
#9  0xbf9464c0 in ?? ()
#10 0x00000016 in ?? ()
[...]

I installed all the debug info stuff, but it didn't help:
#0  0x00110416 in __kernel_vsyscall ()
#1  0x0077d660 in raise (sig=<value optimized out>) at
../nptl/sysdeps/unix/sysv/linux/raise.c:64
#2  0x0077f028 in abort () at abort.c:88
#3  0x007c0813 in malloc_printerr (action=<value optimized out>, str=<value
optimized out>, ptr=<value optimized out>) at malloc.c:5954
#4  0x007c27e5 in __libc_free (mem=<value optimized out>) at malloc.c:3589
#5  0x06240069 in jni_ReleaseBooleanArrayElements () from
/usr/java/jdk1.6.0_06/bin/../jre/lib/i386/client/libjvm.so
#6  0x0064bd0b in Java_org_eclipse_swt_internal_mozilla_XPCOM_VtblCall__II_3Z ()
from
/usr/lib/eclipse/configuration/org.eclipse.osgi/bundles/142/1/.cp/libswt-mozilla-gtk-3349.so
#7  0x00ddbecd in ?? ()
#8  0x09843cf4 in ?? ()
#9  0xbffb8330 in ?? ()
#10 0x00000016 in ?? ()
#11 0x0a85f3f8 in ?? ()
#12 0xbffb8338 in ?? ()
#13 0xbffb836c in ?? ()
#14 0xbffb8308 in ?? ()
#15 0x8d9f5df4 in ?? ()
#16 0xbffb8340 in ?? ()
#17 0x8d9fa2e0 in ?? ()
#18 0x00000000 in ?? ()
Comment 1 Andrew Overholt 2008-05-12 13:22:34 EDT
This looks like a HotSpot bug.  What are the contents of your
/usr/lib/eclipse/eclipse.ini file?
Comment 2 Robert Story 2008-05-12 14:45:04 EDT
Created attachment 305157 [details]
/usr/lib/eclipse/eclipse.ini

as requested...
Comment 3 Bug Zapper 2008-05-14 07:02:58 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Andrew Overholt 2008-06-04 15:48:56 EDT
This looks like a bug with the browser integration and is an upstream bug.  

RS:  can you file this at bugs.eclipse.org?  You'll have to verify that it
happens with an upstream download (from download.eclipse.org) since they're not
going to accept a report that was made against Fedora Eclipse.  CC me there when
you do, and close this as UPSTREAM with the bug #, please.  Thanks.
Comment 5 Bug Zapper 2009-06-09 20:44:30 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-07-14 12:07:01 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.